%if 0%{?fedora} > 12 || 0%{?rhel} >= 8
%global with_python3 1
%endif

%{!?__python2:%global __python2 %{__python}}
%{!?python2_sitelib:   %global python2_sitelib         %{python_sitelib}}
%{!?python2_sitearch:  %global python2_sitearch        %{python_sitearch}}
%{!?python2_version:   %global python2_version         %{python_version}}

Name:           python-wordpress-xmlrpc
Version:        2.3
Release:        1%{?dist}
Summary:        WordPress XML-RPC API Integration Library

License:        BSD
URL:            https://github.com/maxcutler/python-wordpress-xmlrpc/
Source0:        http://pypi.python.org/packages/source/p/python-wordpress-xmlrpc/python-wordpress-xmlrpc-2.3.zip

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Python library to interface with a WordPress blog's XML-RPC API.

An implementation of the standard WordPress API methods is provided, but the 
library is designed for easy integration with custom XML-RPC API methods 
provided by plugins.

A set of classes are provided that wrap the standard WordPress data types 
(e.g., Blog, Post, User). The provided method implementations return these 
objects when possible.


%if 0%{?with_python3}
%package -n python3-wordpress-xmlrpc
Summary:        WordPress XML-RPC API Integration Library
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-wordpress-xmlrpc
Python library to interface with a WordPress blog's XML-RPC API.

An implementation of the standard WordPress API methods is provided, but the 
library is designed for easy integration with custom XML-RPC API methods 
provided by plugins.

A set of classes are provided that wrap the standard WordPress data types 
(e.g., Blog, Post, User). The provided method implementations return these 
objects when possible.


%endif
%prep
%setup -q

# remove bundled egg.info:
rm -rf python_wordpress_xmlrpc.egg-info

# fix wrong-file-end-of-line-encoding issues in license readme.rst wp-config..
#for i in LICENSE README.rst wp-config-sample.cfg ; do
#     sed -i 's/\r//' $i ;
#done

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%{__python2} setup.py build



%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%files
%doc LICENSE README.rst wp-config-sample.cfg
%{python2_sitelib}/wordpress_xmlrpc
%{python2_sitelib}/python_wordpress_xmlrpc-%{version}-py%{python2_version}.egg-info

%files -n python3-wordpress-xmlrpc
%doc LICENSE README.rst wp-config-sample.cfg
%{python3_sitelib}/wordpress_xmlrpc
%{python3_sitelib}/python_wordpress_xmlrpc-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Jul 06 2014 Matthias Runge <mrunge@redhat.com> - 2.3-1
- upgrade to 2.3 and python3 package (rhbz#1116473)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 20 2011 Matthias Runge <mrunge@matthias-runge.de> 1.5-1
- initital version for fedora
